## metis 5.1.0.dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(METIS)

set(GKLIB_PATH "GKlib" CACHE PATH "path to GKlib")
set(SHARED FALSE CACHE BOOL "build a shared library")

if(MSVC)
  set(METIS_INSTALL FALSE)
else()
  set(METIS_INSTALL TRUE)
endif()

# Configure libmetis library.
if(SHARED)
  set(METIS_LIBRARY_TYPE SHARED)
else()
  set(METIS_LIBRARY_TYPE STATIC)
endif(SHARED)

include(${GKLIB_PATH}/GKlibSystem.cmake)
# Add include directories.
include_directories(${GKLIB_PATH})
include_directories(include)
# Recursively look for CMakeLists.txt in subdirs.
add_subdirectory("include")
add_subdirectory("libmetis")
add_subdirectory("programs")

=== GKlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(GKlib)

get_filename_component(abs "." ABSOLUTE)
set(GKLIB_PATH ${abs})
unset(abs)
include(GKlibSystem.cmake)

include_directories(".")
add_library(GKlib STATIC ${GKlib_sources})
if(UNIX)
  target_link_libraries(GKlib m)
endif(UNIX)

include_directories("test")
add_subdirectory("test")

install(TARGETS GKlib
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib)
install(FILES ${GKlib_includes} DESTINATION include)

=== debian/changelog ===
metis (5.1.0.dfsg-8) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * [8153c78] Apply multi-arch hints.
    + libmetis-dev: Add Multi-Arch: same.
    + libmetis-doc: Add Multi-Arch: foreign.

  [ Timo Röhling ]
  * [1857dbf] Bump CMake policy minimum version (Closes: #1113282)

 -- Timo Röhling <roehling@debian.org>  Thu, 09 Oct 2025 13:41:31 +0200

metis (5.1.0.dfsg-7) unstable; urgency=medium

  * [57b088f] Use another graph files for tests
  * [be06482] Ignore quilt dir
  * [4edacc3] Add reprotest allow to fail

 -- Anton Gladky <gladk@debian.org>  Tue, 19 May 2020 22:30:01 +0200

metis (5.1.0.dfsg-6) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * [eeab673] Remove unnecessary 'Testsuite: autopkgtest' header.
              Fixed-Lintian-Tags: unnecessary-testsuite-autopkgtest-field
  * [bf8c397] Transition to automatic debug package (from: libmetis5-dbg).

  [ Anton Gladky ]
  * [3944ce3] Set debhelper-compat version in Build-Depends.
  * [887e011] Update Vcs-* headers from URL redirect.
  * [4f3b4f9] Use canonical URL in Vcs-Git.
  * [8954afb] Drop transition for old debug package migration.
  * [bde44a2] Set compat-level 13
  * [98ab07b] Add Rules-Requires-Root: no to d/control
  * [40964db] Fix unit test

 -- Anton Gladky <gladk@debian.org>  Sun, 17 May 2020 23:24:53 +0200

metis (5.1.0.dfsg-5) unstable; urgency=medium

  * [a633d07] Apply cme fix dpkg-control.
  * [0cad704] Apply cme fix dpkg-copyright.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Sep 2016 19:59:13 +0200

metis (5.1.0.dfsg-4) unstable; urgency=medium

  * [4d3a6a4] Update copyright-file. (Closes: #758675).
    Thanks to Jonathan Nieder <jrnieder@gmail.com>

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Sep 2014 21:18:36 +0200

metis (5.1.0.dfsg-3) unstable; urgency=medium

  * [6d6d4cf] Set Standards-Versions: 3.9.5. No changes.
  * [a28f7cf] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Fri, 13 Jun 2014 21:49:33 +0200

metis (5.1.0.dfsg-2) unstable; urgency=low

  * [7327fa2] Fix typo in debian/copyright.
  * [a41e1e7] Do not use --parallel option in dh. (Closes: #717363)
  * [8d6adaa] Use canonical VCS.

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Jul 2013 20:42:20 +0200

metis (5.1.0.dfsg-1) unstable; urgency=low

  * Initial packaging. (Closes: #708045).

 -- Anton Gladky <gladk@debian.org>  Mon, 13 May 2013 23:02:33 +0200

=== debian/control ===
Source: metis
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/metis
Vcs-Git: https://salsa.debian.org/science-team/metis.git
Homepage: http://glaros.dtc.umn.edu/gkhome/metis/metis/overview

Package: libmetis-dev
Architecture: any
Section: libdevel
Depends: libmetis5 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libscotchmetis-dev
Multi-Arch: same
Description: Serial Graph Partitioning and Fill-reducing Matrix Ordering. Header
 METIS is a set of serial programs for partitioning graphs, partitioning finite
 element meshes, and producing fill reducing orderings for sparse matrices.
 The algorithms implemented in METIS are based on the multilevel
 recursive-bisection, multilevel k-way, and multi-constraint partitioning
 schemes. The package contains a header-file.

Package: libmetis-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Serial Graph Partitioning and Fill-reducing Matrix Ordering. Documentation
 METIS is a set of serial programs for partitioning graphs, partitioning finite
 element meshes, and producing fill reducing orderings for sparse matrices.
 The algorithms implemented in METIS are based on the multilevel
 recursive-bisection, multilevel k-way, and multi-constraint partitioning
 schemes. The package contains examples and documentation.

Package: libmetis5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Serial Graph Partitioning and Fill-reducing Matrix Ordering
 METIS is a set of serial programs for partitioning graphs, partitioning finite
 element meshes, and producing fill reducing orderings for sparse matrices.
 The algorithms implemented in METIS are based on the multilevel
 recursive-bisection, multilevel k-way, and multi-constraint partitioning
 schemes.

Package: metis
Architecture: any
Section: math
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libmetis5 (= ${binary:Version})
Description: Serial Graph Partitioning and Fill-reducing Matrix Ordering. Binaries
 METIS is a set of serial programs for partitioning graphs, partitioning finite
 element meshes, and producing fill reducing orderings for sparse matrices.
 The algorithms implemented in METIS are based on the multilevel
 recursive-bisection, multilevel k-way, and multi-constraint partitioning
 schemes. The package contains some binaries for graph analyzing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- -DCMAKE_POLICY_VERSION_MINIMUM=3.10

=== debian/tests/control ===
Tests: check1 build1
Depends: metis, libmetis-dev, build-essential
